org.eclipse.lyo.client.oslc.resources

## Interface RmConstants

-     public interface RmConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FOAF_NAMESPACE`
    `static String` | `FOAF_NAMESPACE_PREFIX`
    `static String` | `JAZZ_RM_ACCESS_NAMESPACE`
    `static String` | `JAZZ_RM_NAMESPACE`
    `static String` | `JAZZ_RM_NAV_NAMESPACE`
    `static String` | `NAMESPACE_URI_XHTML`
    `static QName` | `PROPERTY_ACCESS_CONTROL`
    `static QName` | `PROPERTY_PARENT_FOLDER`
    `static QName` | `PROPERTY_PRIMARY_TEXT`
    `static String` | `QUALITY_MANAGEMENT_PREFIX`
    `static com.hp.hpl.jena.datatypes.BaseDatatype` | `RDF_TYPE_BOOLEAN`
    `static com.hp.hpl.jena.datatypes.BaseDatatype` | `RDF_TYPE_DATETIME`
    `static com.hp.hpl.jena.datatypes.BaseDatatype` | `RDF_TYPE_DECIMAL`
    `static com.hp.hpl.jena.datatypes.BaseDatatype` | `RDF_TYPE_DOUBLE`
    `static com.hp.hpl.jena.datatypes.BaseDatatype` | `RDF_TYPE_FLOAT`
    `static com.hp.hpl.jena.datatypes.BaseDatatype` | `RDF_TYPE_INTEGER`
    `static com.hp.hpl.jena.datatypes.BaseDatatype` | `RDF_TYPE_LOCALRESOURCE`
    `static com.hp.hpl.jena.datatypes.BaseDatatype` | `RDF_TYPE_RESOURCE`
    `static com.hp.hpl.jena.datatypes.BaseDatatype` | `RDF_TYPE_STRING`
    `static com.hp.hpl.jena.datatypes.BaseDatatype` | `RDF_TYPE_XMLLITERAL`
    `static String` | `REQUIREMENTS_MANAGEMENT_DOMAIN`
    `static String` | `REQUIREMENTS_MANAGEMENT_NAMESPACE`
    `static String` | `REQUIREMENTS_MANAGEMENT_PREFIX`
    `static String` | `SOFTWARE_CONFIGURATION_MANAGEMENT_PREFIX`
    `static String` | `TYPE_DISCUSSION`
    `static String` | `TYPE_PERSON`
    `static String` | `TYPE_REQUIREMENT`
    `static String` | `TYPE_REQUIREMENT_COLLECTION`

- - ### Field Detail

    - #### REQUIREMENTS_MANAGEMENT_DOMAIN

          static final String REQUIREMENTS_MANAGEMENT_DOMAIN

      See Also:
        Constant Field Values

    - #### REQUIREMENTS_MANAGEMENT_NAMESPACE

          static final String REQUIREMENTS_MANAGEMENT_NAMESPACE

      See Also:
        Constant Field Values

    - #### REQUIREMENTS_MANAGEMENT_PREFIX

          static final String REQUIREMENTS_MANAGEMENT_PREFIX

      See Also:
        Constant Field Values

    - #### SOFTWARE_CONFIGURATION_MANAGEMENT_PREFIX

          static final String SOFTWARE_CONFIGURATION_MANAGEMENT_PREFIX

      See Also:
        Constant Field Values

    - #### QUALITY_MANAGEMENT_PREFIX

          static final String QUALITY_MANAGEMENT_PREFIX

      See Also:
        Constant Field Values

    - #### FOAF_NAMESPACE

          static final String FOAF_NAMESPACE

      See Also:
        Constant Field Values

    - #### FOAF_NAMESPACE_PREFIX

          static final String FOAF_NAMESPACE_PREFIX

      See Also:
        Constant Field Values

    - #### TYPE_DISCUSSION

          static final String TYPE_DISCUSSION

      See Also:
        Constant Field Values

    - #### TYPE_PERSON

          static final String TYPE_PERSON

      See Also:
        Constant Field Values

    - #### TYPE_REQUIREMENT

          static final String TYPE_REQUIREMENT

      See Also:
        Constant Field Values

    - #### TYPE_REQUIREMENT_COLLECTION

          static final String TYPE_REQUIREMENT_COLLECTION

      See Also:
        Constant Field Values

    - #### JAZZ_RM_NAMESPACE

          static final String JAZZ_RM_NAMESPACE

      See Also:
        Constant Field Values

    - #### JAZZ_RM_NAV_NAMESPACE

          static final String JAZZ_RM_NAV_NAMESPACE

      See Also:
        Constant Field Values

    - #### JAZZ_RM_ACCESS_NAMESPACE

          static final String JAZZ_RM_ACCESS_NAMESPACE

      See Also:
        Constant Field Values

    - #### PROPERTY_PRIMARY_TEXT

          static final QName PROPERTY_PRIMARY_TEXT

    - #### PROPERTY_PARENT_FOLDER

          static final QName PROPERTY_PARENT_FOLDER

    - #### PROPERTY_ACCESS_CONTROL

          static final QName PROPERTY_ACCESS_CONTROL

    - #### RDF_TYPE_BOOLEAN

          static final com.hp.hpl.jena.datatypes.BaseDatatype RDF_TYPE_BOOLEAN

    - #### RDF_TYPE_DATETIME

          static final com.hp.hpl.jena.datatypes.BaseDatatype RDF_TYPE_DATETIME

    - #### RDF_TYPE_DECIMAL

          static final com.hp.hpl.jena.datatypes.BaseDatatype RDF_TYPE_DECIMAL

    - #### RDF_TYPE_DOUBLE

          static final com.hp.hpl.jena.datatypes.BaseDatatype RDF_TYPE_DOUBLE

    - #### RDF_TYPE_FLOAT

          static final com.hp.hpl.jena.datatypes.BaseDatatype RDF_TYPE_FLOAT

    - #### RDF_TYPE_INTEGER

          static final com.hp.hpl.jena.datatypes.BaseDatatype RDF_TYPE_INTEGER

    - #### RDF_TYPE_STRING

          static final com.hp.hpl.jena.datatypes.BaseDatatype RDF_TYPE_STRING

    - #### RDF_TYPE_XMLLITERAL

          static final com.hp.hpl.jena.datatypes.BaseDatatype RDF_TYPE_XMLLITERAL

    - #### RDF_TYPE_RESOURCE

          static final com.hp.hpl.jena.datatypes.BaseDatatype RDF_TYPE_RESOURCE

    - #### RDF_TYPE_LOCALRESOURCE

          static final com.hp.hpl.jena.datatypes.BaseDatatype RDF_TYPE_LOCALRESOURCE

    - #### NAMESPACE_URI_XHTML

          static final String NAMESPACE_URI_XHTML

      See Also:
        Constant Field Values

Copyright © 2016. All Rights Reserved.